cross
Foswiki.org has been patched with a fix that will break all current logged in sessions. All users will have to log in again after the update.

Item10880: move to jquery.ui.autocomplete

Priority: Enhancement
Current State: Closed
Released In: 1.1.4
Target Release: patch
Applies To: Extension
Component: ClassificationPlugin, JQueryPlugin, NatEditPlugin, NatSkin
Branches:
Reported By: MichaelDaum
Waiting For:
Last Change By: GeorgeClark
Right now JQueryPlugin ships the jquery.autocomplete plugin from http://bassistance.de/jquery-plugins/jquery-plugin-autocomplete/ which the author deprecated 2010-06-23 in favor of a new implementation coming with jquery.ui. There's a migration guide with some basic help.

Long term goal is to remove jquery.autocomplete from JQueryPlugin.

As both implementations occupy the same $.fn.autocomplete namespace, the jquery.ui.autocomplete version has been disabled and not being compiled into the jquery.ui package in favor of the old jquery.autocomplete implementation.

During the transition from jquery.autocomplete to jquery.ui.autocomplete the former will be patched to work at $.fn.Autocomplete (with a capital A), to allow the jquery.ui.autocomplete version to be used as intended.

This will affect a couple of plugins outside JQueryPlugin as both implementations are incompatible. These are:

These are about to be rewritten as part of this bug item.

-- MichaelDaum - 14 Jun 2011

 
Topic revision: r11 - 17 Dec 2011, GeorgeClark - This page was cached on 31 Jul 2015 - 03:14. Get a fresh version here.
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License